Subject: Sustainable Ag Programs

From: [email-masked] (timothy w eubanks)
Date: 10 Mar 1994 19:13:47 GMT

As an undergraduate wishing to change majors,  I would appreciate it if someone
could post another list of undergraduate/graduate programs in sustainable 
agriculture/organic farming/permaculture.  My last request for permacuulture
references retrieved a Permaculture Drylands Institute here in Tucson.  This
was much appreciated.  Non-university or non-traditional programs for beginners
in the field would be ideal too.  Thanx.

-Post or e-mail me.
-Tim Eubanks
[email-masked]
.